Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 9018)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 9019)
@@ -21,11 +21,6 @@
    USE icb_oce                             ! define iceberg arrays
    USE sbc_oce                             ! ocean surface boundary conditions
-#if defined key_lim2
-   USE ice_2,         ONLY: u_ice, v_ice   ! LIM-2 ice velocities  (CAUTION in C-grid do not use key_vp option)
-   USE ice_2,         ONLY: hicif          ! LIM-2 ice thickness
-#elif defined key_lim3
-   USE ice,           ONLY: u_ice, v_ice   ! LIM-3 variables  (always in C-grid)
-                                           ! gm  LIM3 case the mean ice thickness (i.e. averaged over categories)
-                                           ! gm            has to be computed somewhere in the ice and accessed here
+#if defined key_lim3
+   USE ice,    ONLY: u_ice, v_ice, hm_i    ! LIM-3 variables
 #endif
 
@@ -85,13 +80,9 @@
       CALL lbc_lnk_icb( fr_e, 'T', +1._wp, 1, 1 )
       CALL lbc_lnk_icb( tt_e, 'T', +1._wp, 1, 1 )
-#if defined key_lim2
-      hicth(:,:) = 0._wp ;  hicth(1:jpi,1:jpj) = hicif(:,:)  
-      CALL lbc_lnk_icb(hicth, 'T', +1._wp, 1, 1 )  
-#endif
-
-#if defined key_lim2 || defined key_lim3
+#if defined key_lim3
+      hicth(:,:) = 0._wp ;  hicth(1:jpi,1:jpj) = hm_i (:,:)  
       ui_e(:,:) = 0._wp ;   ui_e(1:jpi, 1:jpj) = u_ice(:,:)
       vi_e(:,:) = 0._wp ;   vi_e(1:jpi, 1:jpj) = v_ice(:,:)
-
+      CALL lbc_lnk_icb(hicth, 'T', +1._wp, 1, 1 )
       CALL lbc_lnk_icb( ui_e, 'U', -1._wp, 1, 1 )
       CALL lbc_lnk_icb( vi_e, 'V', -1._wp, 1, 1 )
@@ -157,12 +148,8 @@
       pva  = pva * zmod
 
-#if defined key_lim2 || defined key_lim3
+#if defined key_lim3
       pui = icb_utl_bilin_h( ui_e, pi, pj, 'U' )              ! sea-ice velocities
       pvi = icb_utl_bilin_h( vi_e, pi, pj, 'V' )
-# if defined key_lim3
-      phi = 0._wp                                             ! LIM-3 case (to do)
-# else
       phi = icb_utl_bilin_h(hicth, pi, pj, 'T' )              ! ice thickness
-# endif
 #else
       pui = 0._wp
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 9018)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 9019)
@@ -88,6 +88,9 @@
    INTEGER ::   nitrst                !: time step at which restart file should be written
    LOGICAL ::   lrst_oce              !: logical to control the oce restart write 
+   LOGICAL ::   lrst_ice              !: logical to control the ice restart write 
    INTEGER ::   numror = 0            !: logical unit for ocean restart (read). Init to 0 is needed for SAS (in daymod.F90)
+   INTEGER ::   numrir                !: logical unit for ice   restart (read)
    INTEGER ::   numrow                !: logical unit for ocean restart (write)
+   INTEGER ::   numriw                !: logical unit for ice   restart (write)
    INTEGER ::   nrst_lst              !: number of restart to output next
 
@@ -96,6 +99,9 @@
    !!----------------------------------------------------------------------
    LOGICAL ::   ln_ctl           !: run control for debugging
+   LOGICAL ::   ln_timing        !: run control for timing
+!!gm to be removed at the end of the 2017 merge party
    INTEGER ::   nn_timing        !: run control for timing
-   INTEGER ::   nn_diacfl        !: flag whether to create CFL diagnostics
+!!gm end
+   LOGICAL ::   ln_diacfl        !: flag whether to create CFL diagnostics
    INTEGER ::   nn_print         !: level of print (0 no print)
    INTEGER ::   nn_ictls         !: Start i indice for the SUM control
@@ -126,5 +132,5 @@
    INTEGER ::   numoni          =   -1      !: logical unit for Output Namelist Ice
    INTEGER ::   numevo_ice      =   -1      !: logical unit for ice variables (temp. evolution)
-   INTEGER ::   numsol          =   -1      !: logical unit for solver statistics
+   INTEGER ::   numrun          =   -1      !: logical unit for run statistics
    INTEGER ::   numdct_in       =   -1      !: logical unit for transports computing
    INTEGER ::   numdct_vol      =   -1      !: logical unit for voulume transports output
